Bug 1557968 - Non-navigatable page available in start at login drop down
Summary: Non-navigatable page available in start at login drop down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Anurag
URL:
Whiteboard: :ui:settings
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 11:55 UTC by Anurag
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
ansinha: automate_bug-


Attachments (Terms of Use)
Screenshot (46.98 KB, image/png)
2018-03-19 11:55 UTC, Anurag
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Anurag 2018-03-19 11:55:24 UTC
Created attachment 1409829 [details]
Screenshot

Description of problem:
There is a new non-navigatable page added in start at login drop down: Consumption / Dashboard.
This page can't be accessed using the navigation.


Version-Release number of selected component (if applicable):
Version 5.9.1.0.20180314203929_67fd99d


How reproducible:
100%


Steps to Reproduce:
1.Go to Settings-->Visual-->Start at login
2.Select "Consumption / Dashboard" from dropdown


Actual results:
This page is available.


Expected results:
This page should not be in the dropdown as it's not accessible via UI.


Additional info:
This bug is similar to BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1512480

Comment 1 Harpreet Kataria 2018-04-06 18:48:52 UTC
https://github.com/ManageIQ/manageiq/pull/17260

Comment 2 CFME Bot 2018-04-06 19:30:43 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/560bd17c72b87da54b1d67bc21dbf54ccde8ae82
commit 560bd17c72b87da54b1d67bc21dbf54ccde8ae82
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr  6 14:43:17 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Apr  6 14:43:17 2018 -0400

    Removed redundant entries from start up drop down.

    Removed leftover entries for "Datawarehouse / Providers", "Consumption / Dashboard"

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1557968
    https://bugzilla.redhat.com/show_bug.cgi?id=1512480

 db/fixtures/miq_shortcuts.yml | 10 -
 1 file changed, 10 deletions(-)

Comment 3 CFME Bot 2018-04-06 19:31:53 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/560bd17c72b87da54b1d67bc21dbf54ccde8ae82
commit 560bd17c72b87da54b1d67bc21dbf54ccde8ae82
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr  6 14:43:17 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Apr  6 14:43:17 2018 -0400

    Removed redundant entries from start up drop down.

    Removed leftover entries for "Datawarehouse / Providers", "Consumption / Dashboard"

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1557968
    https://bugzilla.redhat.com/show_bug.cgi?id=1512480

 db/fixtures/miq_shortcuts.yml | 10 -
 1 file changed, 10 deletions(-)

Comment 4 Anurag 2018-06-25 13:43:48 UTC
Hi,

This issue is resolved and working fine. I have verified this on version: Version 5.10.0.1.20180619163011_900fdc4. Thus changing the status of the bug from on_qa to verified.

Thanks,
-Anurag

Comment 5 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.